commit:     c528e00270cfd4621570dfb3ad98a85460dfa557
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri Oct 16 14:39:46 2015 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Fri Oct 16 14:39:46 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=c528e002

dev-python/qtconsole: Version bump to 4.1.0

Package-Manager: portage-2.2.20.1

 dev-python/qtconsole/ChangeLog              |  6 +++
 dev-python/qtconsole/qtconsole-4.1.0.ebuild | 67 +++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/qtconsole/ChangeLog b/dev-python/qtconsole/ChangeLog
index 3f59785..34ac84d 100644
--- a/dev-python/qtconsole/ChangeLog
+++ b/dev-python/qtconsole/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*qtconsole-4.1.0 (16 Oct 2015)
+
+  16 Oct 2015; Marius Brehler <[email protected]>
+  +qtconsole-4.1.0.ebuild:
+  dev-python/qtconsole: Version bump to 4.1.0
+
   22 Sep 2015; Marius Brehler <[email protected]> qtconsole-9999.ebuild:
   dev-python/qtconsole: Add ~x86 to KEYWORDS, fixes #561032
 

diff --git a/dev-python/qtconsole/qtconsole-4.1.0.ebuild 
b/dev-python/qtconsole/qtconsole-4.1.0.ebuild
new file mode 100644
index 0000000..8ac99f4
--- /dev/null
+++ b/dev-python/qtconsole/qtconsole-4.1.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Qt-based console for Jupyter with support for rich media output"
+HOMEPAGE="http://jupyter.org";
+
+if [ ${PV} == "9999" ] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/jupyter/${PN}.git 
git://github.com/jupyter/${PN}.git"
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       dev-python/jupyter_client[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       doc? (
+               dev-python/ipython[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               >=dev-python/nose-0.10.1[${PYTHON_USEDEP}]
+       )
+       || (
+               dev-python/PyQt4[${PYTHON_USEDEP},svg]
+               dev-python/PyQt5[${PYTHON_USEDEP},svg]
+               dev-python/pyside[${PYTHON_USEDEP},svg]
+       )
+       dev-python/pygments[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-13[${PYTHON_USEDEP}]
+       "
+PDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       # Prevent un-needed download during build
+       if use doc; then
+               sed -e "/^    'sphinx.ext.intersphinx',/d" -i 
docs/source/conf.py || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests --with-coverage --cover-package qtconsole qtconsole || die
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( docs/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to